<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:clickable="true"
    android:focusable="true"
    android:background="@color/black">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        android:layout_marginStart="50dp"
        android:layout_marginTop="50dp"
        android:layout_marginBottom="50dp"
        android:layout_marginEnd="50dp"
        android:background="@drawable/common_bg_with_radius_and_border">

        <LinearLayout
            android:layout_marginStart="10dp"
            android:layout_marginTop="5dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/jiaozhun_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="通道校准"
                android:textSize="32sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="60dp"
                android:text="当前重量："
                android:textSize="26sp"/>

            <TextView
                android:id="@+id/current_weight"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="100g"
                android:textSize="26sp"/>

            <Button
                android:id="@+id/btn_clear"
                android:layout_width="100dp"
                android:layout_height="70dp"
                android:background="@drawable/bg_btn_login_selected"
                android:text="清 零"
                android:layout_marginLeft="32sp"
                android:textColor="@color/white"
                android:textSize="32sp"/>
        </LinearLayout>


        <Button
            android:id="@+id/close_from"
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:layout_alignParentTop="true"
            android:layout_alignParentRight="true"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@mipmap/newdelete"
            android:textColor="@color/white"
            android:textSize="14dp" />
        <TextView
            android:layout_marginEnd="120dp"
            android:layout_alignParentRight="true"
            android:id="@+id/title_bc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:text="11 豆瓣酱"
            android:textAlignment="center"
            android:textSize="32sp"
            android:textColor="@color/orange_primary_dark"/>

        <RelativeLayout
            android:layout_marginTop="80dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">
                <!-- 物料校准 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:background="@color/gray"/>

                    <RelativeLayout
                        android:layout_margin="@dimen/dp_10"
                        android:background="@color/white"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerHorizontal="true"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="50dp"
                            android:layout_marginEnd="50dp"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_centerHorizontal="true"
                                android:layout_centerVertical="true"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerHorizontal="true"
                                    android:layout_centerVertical="true"
                                    android:orientation="vertical">

                                    <LinearLayout
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">
                                        <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="最小出料时间："
                                            android:textSize="32sp"/>

                                        <EditText
                                            android:id="@+id/min_time"
                                            android:layout_width="200dp"
                                            android:layout_height="70dp"
                                            android:layout_centerInParent="true"
                                            android:background="@drawable/edit_bord"
                                            android:digits="0123456789."
                                            android:hint="请输入"
                                            android:inputType="numberDecimal|number"
                                            android:maxLines="1"
                                            android:padding="3dp"
                                            android:text="2"
                                            android:textSize="32sp"/>

                                    </LinearLayout>

                                    <LinearLayout
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginTop="32sp"
                                        android:orientation="horizontal">
                                        <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="最小出料重量："
                                            android:textSize="32sp"/>

                                        <EditText
                                            android:id="@+id/min_weight"
                                            android:layout_width="200dp"
                                            android:layout_height="70dp"
                                            android:layout_centerInParent="true"
                                            android:background="@drawable/edit_bord"
                                            android:digits="0123456789."
                                            android:hint="请输入"
                                            android:inputType="numberDecimal|number"
                                            android:maxLines="1"
                                            android:padding="3dp"
                                            android:text="2"
                                            android:textSize="32sp"/>

                                    </LinearLayout>

                                    <Button
                                        android:id="@+id/btn_min_standard"
                                        android:layout_width="match_parent"
                                        android:layout_marginTop="32sp"
                                        android:layout_height="70dp"
                                        android:background="@drawable/bg_btn_login_selected"
                                        android:text="最小校准"
                                        android:textColor="@color/white"
                                        android:textSize="32sp"/>
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_marginLeft="50dp"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_centerHorizontal="true"
                                    android:layout_centerVertical="true"
                                    android:orientation="vertical">

                                    <LinearLayout
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">
                                        <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="最大出料时间："
                                            android:textSize="32sp"/>

                                        <EditText
                                            android:id="@+id/max_time"
                                            android:layout_width="200dp"
                                            android:layout_height="70dp"
                                            android:layout_centerInParent="true"
                                            android:background="@drawable/edit_bord"
                                            android:digits="0123456789."
                                            android:hint="请输入"
                                            android:inputType="numberDecimal|number"
                                            android:maxLines="1"
                                            android:padding="3dp"
                                            android:text="2"
                                            android:textSize="32sp"/>

                                    </LinearLayout>

                                    <LinearLayout
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginTop="32sp"
                                        android:orientation="horizontal">
                                        <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="最大出料重量："
                                            android:textSize="32sp"/>

                                        <EditText
                                            android:id="@+id/max_weight"
                                            android:layout_width="200dp"
                                            android:layout_height="70dp"
                                            android:layout_centerInParent="true"
                                            android:background="@drawable/edit_bord"
                                            android:digits="0123456789."
                                            android:hint="请输入"
                                            android:inputType="numberDecimal|number"
                                            android:maxLines="1"
                                            android:padding="3dp"
                                            android:text="2"
                                            android:textSize="32sp"/>

                                    </LinearLayout>

                                    <Button
                                        android:layout_marginTop="32sp"
                                        android:id="@+id/btn_max_standard"
                                        android:layout_width="match_parent"
                                        android:layout_height="70dp"
                                        android:background="@drawable/bg_btn_login_selected"
                                        android:text="最大校准"
                                        android:textColor="@color/white"
                                        android:textSize="32sp" />

                                </LinearLayout>

                            </LinearLayout>

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_marginTop="32sp"
                                android:background="@color/gray"/>

                            <Button
                                android:layout_marginTop="32sp"
                                android:id="@+id/btn_save"
                                android:layout_width="match_parent"
                                android:layout_height="70dp"
                                android:background="@drawable/bg_btn_login_selected"
                                android:text="保存参数"
                                android:textColor="@color/white"
                                android:textSize="32sp" />

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_marginTop="32sp"
                                android:background="@color/gray"/>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginTop="32sp"
                                android:orientation="horizontal">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal">
                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="模拟出料重量："
                                        android:textSize="32sp"/>

                                    <EditText
                                        android:id="@+id/sim_discharge_weight"
                                        android:layout_width="200dp"
                                        android:layout_height="70dp"
                                        android:layout_centerInParent="true"
                                        android:background="@drawable/edit_bord"
                                        android:digits="0123456789."
                                        android:hint="请输入"
                                        android:inputType="number|numberDecimal"
                                        android:maxLines="1"
                                        android:padding="3dp"
                                        android:text="10"
                                        android:textSize="32sp"/>

                                </LinearLayout>

                                <Button
                                    android:id="@+id/btn_sim_discharge"
                                    android:layout_width="match_parent"
                                    android:layout_height="70dp"
                                    android:layout_marginLeft="50dp"
                                    android:background="@drawable/bg_btn_login_selected"
                                    android:text="模拟出料"
                                    android:textColor="@color/white"
                                    android:textSize="32sp" />

                            </LinearLayout>





                            <!--                            <TextView-->
                            <!--                                android:id="@+id/controlStatus"-->
                            <!--                                android:layout_width="match_parent"-->
                            <!--                                android:layout_height="match_parent"-->
                            <!--                                android:text="控制状态："-->
                            <!--                                android:textSize="32sp"/>-->

                        </LinearLayout>

                    </RelativeLayout>
                </LinearLayout>

            </RelativeLayout>

        </RelativeLayout>
    </RelativeLayout>
</LinearLayout>